# -*- coding: utf-8 -*-

import json

N_files = 1494


def main():
    for i in range(N_files):
        char_counter = {}

        with open('texts/{:04d}.txt'.format(i)) as fi_txt:
            length = sum(len(l) for l in fi_txt)

        for label in ['PRO', 'SUP', 'PRO_BY', 'SUP_BY']:
            char_counter[label] = [0] * length
            for j in range(10):
                with open('annotations/{}/{:04d}/{}.ann'.format(label, i, j)) as fi_ann:
                    for line in fi_ann:
                        label, si, ei = line.rstrip('\n').split('\t')[1].split(' ')
                        for x in range(int(si), int(ei)):
                            char_counter[label][x] += 1

        with open('merged_annotations/{:04d}.json'.format(i), 'w') as fo:
            json.dump(char_counter, fo)


if __name__ == '__main__':
    main()
